NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Features::PartGeometryCopySelectBuilder Class Reference

Represents a NXOpen::Features::PartGeometryCopySelectBuilder builder
Created in NX9.0.0. More...

Inheritance diagram for NXOpen::Features::PartGeometryCopySelectBuilder:
NXOpen::TaggedObject

Public Member Functions

NXOpen::ScCollectorBodyCollector ()
 Returns the body collector
Created in NX9.0.0. More...
 
NXOpen::SelectTaggedObjectBodyObject ()
 Returns the body group
Created in NX9.0.0. More...
 
NXOpen::SectionCompositeCurve ()
 Returns the composite curve
Created in NX9.0.0. More...
 
NXOpen::ScCollectorCompositeFace ()
 Returns the composite face
Created in NX9.0.0. More...
 
int CurrentObjectType ()
 Returns the type of current object to be copied
Created in NX9.0.0. More...
 
NXOpen::SelectDisplayableObjectCurve ()
 Returns the curve
Created in NX9.0.0. More...
 
NXOpen::Features::SelectFeatureCurveFeature ()
 Returns the curve feature
Created in NX9.0.0. More...
 
NXOpen::SelectTaggedObjectDatum ()
 Returns the datum
Created in NX9.0.0. More...
 
NXOpen::ExpressionExpression ()
 Returns the expression
Created in NX9.0.0. More...
 
NXOpen::SelectFaceFace ()
 Returns the face
Created in NX9.0.0. More...
 
NXString ObjectDescription ()
 Returns the object description of selected item
Created in NX9.0.0. More...
 
NXString ObjectName ()
 Returns the object name of selected item
Created in NX9.0.0. More...
 
NXString ObjectType ()
 Returns the object type of selected item
Created in NX9.0.0. More...
 
NXOpen::SelectDisplayableObjectPmi ()
 Returns the pmi
Created in NX9.0.0. More...
 
NXOpen::SelectPointPoint ()
 Returns the point
Created in NX9.0.0. More...
 
bool ReverseDirection ()
 Returns the reverse direction
Created in NX9.0.0. More...
 
NXOpen::SelectDisplayableObjectRoutingObject ()
 Returns the routing object
Created in NX9.0.0. More...
 
void SetCurrentObjectType (int currentObjectType)
 Sets the type of current object to be copied
Created in NX9.0.0. More...
 
void SetExpression (NXOpen::Expression *expression)
 Sets the expression
Created in NX9.0.0. More...
 
void SetObjectDescription (const NXString &objectDescription)
 Sets the object description of selected item
Created in NX9.0.0. More...
 
void SetObjectDescription (const char *objectDescription)
 Sets the object description of selected item
Created in NX9.0.0. More...
 
void SetObjectName (const NXString &objectName)
 Sets the object name of selected item
Created in NX9.0.0. More...
 
void SetObjectName (const char *objectName)
 Sets the object name of selected item
Created in NX9.0.0. More...
 
void SetObjectType (const NXString &objectType)
 Sets the object type of selected item
Created in NX9.0.0. More...
 
void SetObjectType (const char *objectType)
 Sets the object type of selected item
Created in NX9.0.0. More...
 
void SetReverseDirection (bool reverseDirection)
 Sets the reverse direction
Created in NX9.0.0. More...
 
NXOpen::SelectSketchSketch ()
 Returns the sketch
Created in NX9.0.0. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::PartGeometryCopySelectBuilder builder
Created in NX9.0.0.


Member Function Documentation

NXOpen::ScCollector* NXOpen::Features::PartGeometryCopySelectBuilder::BodyCollector ( )

Returns the body collector
Created in NX9.0.0.



License requirements : None

NXOpen::SelectTaggedObject* NXOpen::Features::PartGeometryCopySelectBuilder::BodyObject ( )

Returns the body group
Created in NX9.0.0.



License requirements : None

NXOpen::Section* NXOpen::Features::PartGeometryCopySelectBuilder::CompositeCurve ( )

Returns the composite curve
Created in NX9.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::PartGeometryCopySelectBuilder::CompositeFace ( )

Returns the composite face
Created in NX9.0.0.



License requirements : None

int NXOpen::Features::PartGeometryCopySelectBuilder::CurrentObjectType ( )

Returns the type of current object to be copied
Created in NX9.0.0.



License requirements : None

NXOpen::SelectDisplayableObject* NXOpen::Features::PartGeometryCopySelectBuilder::Curve ( )

Returns the curve
Created in NX9.0.0.



License requirements : None

NXOpen::Features::SelectFeature* NXOpen::Features::PartGeometryCopySelectBuilder::CurveFeature ( )

Returns the curve feature
Created in NX9.0.0.



License requirements : None

NXOpen::SelectTaggedObject* NXOpen::Features::PartGeometryCopySelectBuilder::Datum ( )

Returns the datum
Created in NX9.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::PartGeometryCopySelectBuilder::Expression ( )

Returns the expression
Created in NX9.0.0.



License requirements : None

NXOpen::SelectFace* NXOpen::Features::PartGeometryCopySelectBuilder::Face ( )

Returns the face
Created in NX9.0.0.



License requirements : None

NXString NXOpen::Features::PartGeometryCopySelectBuilder::ObjectDescription ( )

Returns the object description of selected item
Created in NX9.0.0.



License requirements : None

NXString NXOpen::Features::PartGeometryCopySelectBuilder::ObjectName ( )

Returns the object name of selected item
Created in NX9.0.0.



License requirements : None

NXString NXOpen::Features::PartGeometryCopySelectBuilder::ObjectType ( )

Returns the object type of selected item
Created in NX9.0.0.



License requirements : None

NXOpen::SelectDisplayableObject* NXOpen::Features::PartGeometryCopySelectBuilder::Pmi ( )

Returns the pmi
Created in NX9.0.0.



License requirements : None

NXOpen::SelectPoint* NXOpen::Features::PartGeometryCopySelectBuilder::Point ( )

Returns the point
Created in NX9.0.0.



License requirements : None

bool NXOpen::Features::PartGeometryCopySelectBuilder::ReverseDirection ( )

Returns the reverse direction
Created in NX9.0.0.



License requirements : None

NXOpen::SelectDisplayableObject* NXOpen::Features::PartGeometryCopySelectBuilder::RoutingObject ( )

Returns the routing object
Created in NX9.0.0.



License requirements : None

void NXOpen::Features::PartGeometryCopySelectBuilder::SetCurrentObjectType ( int  currentObjectType)

Sets the type of current object to be copied
Created in NX9.0.0.



License requirements : gateway ("UG GATEWAY")

Parameters
currentObjectTypecurrentobjecttype
void NXOpen::Features::PartGeometryCopySelectBuilder::SetExpression ( NXOpen::Expression expression)

Sets the expression
Created in NX9.0.0.



License requirements : gateway ("UG GATEWAY")

Parameters
expressionexpression
void NXOpen::Features::PartGeometryCopySelectBuilder::SetObjectDescription ( const NXString objectDescription)

Sets the object description of selected item
Created in NX9.0.0.



License requirements : gateway ("UG GATEWAY")

Parameters
objectDescriptionobjectdescription
void NXOpen::Features::PartGeometryCopySelectBuilder::SetObjectDescription ( const char *  objectDescription)

Sets the object description of selected item
Created in NX9.0.0.



License requirements : gateway ("UG GATEWAY")

Parameters
objectDescriptionobjectdescription
void NXOpen::Features::PartGeometryCopySelectBuilder::SetObjectName ( const NXString objectName)

Sets the object name of selected item
Created in NX9.0.0.



License requirements : gateway ("UG GATEWAY")

Parameters
objectNameobjectname
void NXOpen::Features::PartGeometryCopySelectBuilder::SetObjectName ( const char *  objectName)

Sets the object name of selected item
Created in NX9.0.0.



License requirements : gateway ("UG GATEWAY")

Parameters
objectNameobjectname
void NXOpen::Features::PartGeometryCopySelectBuilder::SetObjectType ( const NXString objectType)

Sets the object type of selected item
Created in NX9.0.0.



License requirements : gateway ("UG GATEWAY")

Parameters
objectTypeobjecttype
void NXOpen::Features::PartGeometryCopySelectBuilder::SetObjectType ( const char *  objectType)

Sets the object type of selected item
Created in NX9.0.0.



License requirements : gateway ("UG GATEWAY")

Parameters
objectTypeobjecttype
void NXOpen::Features::PartGeometryCopySelectBuilder::SetReverseDirection ( bool  reverseDirection)

Sets the reverse direction
Created in NX9.0.0.



License requirements : gateway ("UG GATEWAY")

Parameters
reverseDirectionreversedirection
NXOpen::SelectSketch* NXOpen::Features::PartGeometryCopySelectBuilder::Sketch ( )

Returns the sketch
Created in NX9.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2012 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.